<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Compute Age in PHP</title>
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
</head>

<body>
  <div class="row">
    <div class="col-md-8 offset-md-2">
      <div class="card">
      <div class="card-header bg">
            <h1 class="center">Compute Age in PHP</h1>
      </div>
        <div class="card-body">
          <?php
          function getAge($dob){
            $bday = new DateTime($dob);
            $today = new DateTime(date('m.d.y'));
            if($bday > $today){
              return 'You are not born yet';
            }
            $diff = $today->diff($bday);
            return 'Your Age is: '.$diff->y.' Years Old';
          }
          ?>
            <form>
              <div class="input-wrapper">
                <label>Date of Birth</label>
                <input type="date" name="dob" value="<?php echo (isset($_GET['dob']))?$_GET['dob']:''; ?>">
                <input type="submit" value="Calculate Age">
              </div>
            </form>
            <?php
            if (isset($_GET['dob']) && $_GET['dob']!=''){?>
              <h4><?php echo getAge($_GET['dob']); ?></h4>
            <?php } ?>
          </div>
        </div>
    </div>
    <script src="assets/js/jquery.min.js"></script>
    <script src="assets/bootstrap/js/bootstrap.min.js"></script>
</body>

</html>