<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Calculate Age</title>
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
</head>

<body>
    <div class="card">
        <div class="card-body">
            <?php
              function getAge($dob){
                $bday = new DateTime($dob);
                $today = new Datetime(date('m.d.y'));
                if($bday>$today){
                  return 'You are not born yet';
                }
                $diff = $today->diff($bday);
                return 'Your Current Age is : '.$diff->y.' Years, '.$diff->m.' month, '.$diff->d.' days';
              }
            ?>

            <h1 class="center">Calculate Age from DOB using PHP</h1>
            <hr>
            <div class="form-wrapper">
              <form>
                <div class="input-wrapper">
                  <label>Date of Birth</label>
                  <input type="date" name="dob" value="<?php echo (isset($_GET['dob']))?$_GET['dob']:'';?>">
                  <input type="submit" value="Calculate Age">
                </div>
              </form>
              <?php
                if(isset($_GET['dob']) && $_GET['dob']!=''){?>
                  <div class="result-wrapper">
                    
                    <?php echo getAge($_GET['dob']);?>
                  </div>
                <?php }
              ?>
        </div>
    </div>
    <script src="assets/js/jquery.min.js"></script>
    <script src="assets/bootstrap/js/bootstrap.min.js"></script>
</body>

</html>